<?php
class cCatalogo{
	function insertar($fac, $vercom, $verven,$ran,$uni, $est, $pro_id){
		$sql = "INSERT INTO  tb_catalogo(		
			tb_catalogo_fac,
			tb_catalogo_vercom,
			tb_catalogo_verven,
			tb_catalogo_ran,
			tb_unidad_id,
			tb_catalogo_est,		
			tb_producto_id
			)VALUES ('$fac', '$vercom', '$verven','$ran', '$uni','$est', '$pro_id');";
		//echo $sql; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
function modificar($id,$fac,$uni,$verven, $vercom,$ran){
		$sql = "UPDATE tb_catalogo SET  					
					tb_catalogo_fac = '$fac',
					tb_unidad_id = '$uni',
					tb_catalogo_verven = '$verven',
					tb_catalogo_vercom = '$vercom',
					tb_catalogo_ran = '$ran'
				WHERE tb_catalogo_id = $id;";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function ultimoInsert(){
		$sql = "select MAX(tb_catalogo_id) as 'id' from tb_catalogo"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function mostrarUno($cat_id,$mar_id){
		$sql = "SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id	
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
        inner join tb_productomarca pm on pm.tb_catalogo_id = ct.tb_catalogo_id
        inner join tb_marca m on m.tb_marca_id = pm.tb_marca_id
        inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
        where pm.tb_productomarca_xac = '1' ";
		
		if($cat_id!="")$sql.=" AND ct.tb_catalogo_id = '$cat_id' ";
		if($mar_id!="")$sql.=" AND pm.tb_marca_id = '$mar_id' ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_unidad_de_presentacion($pre_id){
		$sql="SELECT c.tb_catalogo_id as cat_id, c.tb_unidad_id_bas as ub_id, ue.tb_unidad_nom as ue_nom, ub.tb_unidad_nom as ub_nom, ue.tb_unidad_abr as ue_abr, ub.tb_unidad_abr as ub_abr,tb_catalogo_tipcam,tb_catalogo_precosdol, tb_catalogo_preunicom as preunicom, tb_catalogo_precos as precos, tb_catalogo_uti as uti, tb_catalogo_preven as preven, tb_catalogo_vercom as vercom, tb_catalogo_verven as verven, tb_catalogo_igvcom as igvcom, tb_catalogo_igvven as igvven, tb_catalogo_fac as fac, tb_catalogo_unibas as unibas, tb_catalogo_est as est
		FROM tb_catalogo c
		INNER JOIN tb_unidad ue ON c.tb_unidad_id_equ=ue.tb_unidad_id
		INNER JOIN tb_unidad ub ON c.tb_unidad_id_bas=ub.tb_unidad_id
		WHERE tb_presentacion_id=$pre_id
		ORDER BY c.tb_catalogo_id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function presentacion_catalogo_producto($pro_id){
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		INNER JOIN tb_unidad u ON ct.tb_unidad=u.tb_unidad_id
		WHERE p.tb_producto_id=$pro_id
		AND (ct.tb_catalogo_verven=1 OR ct.tb_catalogo_vercom=1)
		";
		if($nom!="")$sql.=" AND tb_producto_nom LIKE '%$nom%' ";
		if($cat!="")$sql.=" AND p.tb_categoria_id IN ($cat) ";
	
		$sql .= ' AND tb_catalogo_xac=1 ;';
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function presentacion_catalogo_producto_todo($pro_id){
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
		WHERE p.tb_producto_id= '$pro_id' ";
		if($nom!="")$sql.=" AND tb_producto_nom LIKE '%$nom%' ";
		if($cat!="")$sql.=" AND p.tb_categoria_id IN ($cat) ";
		
		$sql .= ' AND tb_catalogo_xac=1 ;';
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function presentacion_catalogo($cat_id){
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
		WHERE tb_catalogo_id = '$cat_id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function presentacion_unidad_base($pre_id){
		$sql="SELECT * 
			FROM tb_catalogo ct
			INNER JOIN tb_unidad u ON ct.tb_unidad_id_bas=u.tb_unidad_id
			WHERE tb_presentacion_id = $pre_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
function presentacion_catalogo_stock_almacen($cat_id,$mar_id,$alm_id){
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
		INNER JOIN tb_stock s ON pr.tb_presentacion_id=s.tb_presentacion_id
		WHERE ct.tb_catalogo_id = $cat_id and s.tb_marca_id = '$mar_id' 
		AND s.tb_almacen_id = $alm_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function actualizar_precio_costo($id,$precos){
		$sql = "UPDATE  tb_catalogo SET  
		`tb_catalogo_precos` =  '$precos'
		WHERE tb_catalogo_id =$id;";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function actualizar_precio_venta($cat_id,$uti,$preven){
		$sql = "UPDATE  tb_catalogo SET 
		`tb_catalogo_preven` =  '$preven'
		WHERE tb_catalogo_id =$cat_id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function eliminar($id){
		$sql="UPDATE tb_catalogo SET tb_catalogo_xac='0' WHERE tb_catalogo_id= '$id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function retorna_catalogos($id){
		$sql="SELECT tb_catalogo_id FROM tb_catalogo 
		WHERE tb_presentacion_id='$id' and tb_catalogo_xac='1'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function retorna_detalla_catalogo($id){
		$sql="SELECT p.tb_producto_nom,ct.tb_catalogo_id,u.tb_unidad_abr,u.tb_unidad_id,ct.tb_catalogo_unibas 
			FROM tb_producto p 
			INNER JOIN tb_presentacion pr ON p.tb_producto_id=pr.tb_producto_id 
			INNER JOIN tb_catalogo ct ON pr.tb_presentacion_id=ct.tb_presentacion_id 
			INNER JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id 
			WHERE p.tb_producto_id='$id' and ct.tb_catalogo_xac=1";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function retorna_idcat($pro,$uni){
		$sql="SELECT tb_catalogo_id FROM tb_catalogo cat 
			INNER JOIN tb_presentacion pr ON pr.tb_presentacion_id=cat.tb_presentacion_id
			INNER JOIN tb_producto po ON pr.tb_producto_id=po.tb_producto_id
			WHERE po.tb_producto_id=$pro AND cat.tb_unidad_id=$uni;";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
}
?>